Skip to main content
GET
/
api
/
brands
List brands
curl --request GET \
  --url https://app.solya.app/api/brands \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "city": "Munich",
      "code": "ADI",
      "createdAt": "2024-01-10T08:00:00.000Z",
      "deactivatedAt": null,
      "description": "Global sportswear brand known for the three stripes",
      "id": "brand-uuid-adidas",
      "imageUrl": "https://cdn.example.com/brands/adidas.png",
      "isActive": true,
      "name": "Adidas",
      "style": "SPORT",
      "updatedAt": "2026-03-20T10:00:00.000Z"
    },
    {
      "city": "Beaverton",
      "code": "NKE",
      "createdAt": "2024-01-10T08:00:00.000Z",
      "deactivatedAt": null,
      "description": "Leading athletic footwear and apparel brand",
      "id": "brand-uuid-nike",
      "imageUrl": "https://cdn.example.com/brands/nike.png",
      "isActive": true,
      "name": "Nike",
      "style": "SPORT",
      "updatedAt": "2026-03-20T10:00:00.000Z"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 24
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
q
string

Case-insensitive substring search query

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true